GTPin: gtpin::final Class Reference

GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::final Class Reference
Instrumentation Procedure

< List of IGtIns instruction pointers More...

`#include <gt_gen_procedure.h>`

Inherits gtpin::IGtGenProcedure, and IGtInsList.

## Public Member Functions
void | Append (IGtIns &ins)
| Append the specified instruction at the end of this procedure.
void | AppendTo (IGtGenProcedure &otherProc) const
| Append instructions of this procedure at the end of 'otherProc'.
void | Clear ()
| Remove (not delete) all instructions from this procedure.
uint32_t | Size () const
| Return number of instructions in the procedure.
bool | IsEmpty () const
| Return true if there is no instructions in the procedure.
void | IterateInstructions (IGtInsHandler &handler) const
| Iterate instructions of this procedure and process them with the specified handler.
void | IterateInstructions (IGtInsHandler &handler)
| Iterate instructions of this procedure and process them with the specified handler.
void | Append (const GtGenProcedure &otherProc)
| Insert 'otherProc' instructions at the end of this procedure.
void | Prepend (const GtGenProcedure &otherProc)
| Insert 'otherProc' instructions at the beginning of this procedure.
void | MoveAfter (GtGenProcedure &&otherProc)
| Move 'otherProc' instructions to the end of this procedure. 'otherProc' becomes empty after the operation.
void | MoveBefore (GtGenProcedure &&otherProc)
| Move 'otherProc' instructions to the beginning of this procedure. 'otherProc' becomes empty after the operation.
| GtGenProcedure ()
| Construct empty procedure.
| GtGenProcedure (const IGtInsList &igtInsList)
| Construct procedure from IGtInsList.
| GtGenProcedure (const IGtGenProcedure &otherProc)
| Copy constructor.
| ~GtGenProcedure ()
| Destructor.

## Detailed Description

< List of IGtIns instruction pointers

Class that implements the IGtGenProcedure interface on top of IGtInsList

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT